Deployments.ai Docs
Agent Email

List email suppressions

GET /v1/agent-email/suppressions · SDK listAgentEmailSuppressions · CLI deployments email-suppression list

GET
/v1/agent-email/suppressions

Requires agent-email:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentEmailSuppressionPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/agent-email/suppressions" \  -H "x-deployments-environment: string"
{  "items": [    {      "address": "string",      "createdAt": "2019-08-24T14:15:22Z",      "id": "string",      "organizationId": "string",      "reason": "bounce",      "sourceMessageId": "string"    }  ],  "nextCursor": "string"}